import request from '/@/utils/request';

export const appID = 'Fqs2CL9CUn7U1AqilSFXgb'


/**
 * 获取应用版本信息
 * @param query 查询参数对象，包含额外的查询条件
 * @returns 返回请求结果，包含应用版本信息
 */
export function getAppVersion() {
    return request({
        url: '/stats/user/version/list', // 请求的API地址
        method: 'get', // 请求方法为GET
        params: {appId: appID}, // 将查询参数作为URL参数传递，其中appid是必须参数，query对象中的其他参数会被展开添加
    });
}

/**
 * 获取应用渠道列表
 * @param query 查询参数对象，用于筛选和获取特定渠道信息
 * @returns 返回请求结果，包含渠道列表数据
 */
export function getAppChannel() {
    return request({
        url: '/stats/user/channel/list', // 请求的API地址
        method: 'get', // 请求方法为GET
        params: {appId: appID}, // 将查询参数作为URL参数传递，其中appid是必须参数，query对象中的其他参数会被展开添加
    });
}


